# Method: getMetadata

- [HTTP request](https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1alpha/TopLevel/getMetadata#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1alpha/TopLevel/getMetadata#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1alpha/TopLevel/getMetadata#body.request_body)
- [Response body](https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1alpha/TopLevel/getMetadata#body.response_body)
- [Authorization Scopes](https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1alpha/TopLevel/getMetadata#body.aspect)
- [Try it!](https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1alpha/TopLevel/getMetadata#try-it)

Returns metadata for dimensions and metrics available in reporting methods. Used to explore the dimensions and metrics. Dimensions and metrics will be mostly added over time, but renames and deletions may occur.

### HTTP request

`GET https://analyticsdata.googleapis.com/v1alpha/{name}`

The URL uses [gRPC Transcoding](https://github.com/googleapis/googleapis/blob/master/google/api/http.proto) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the metadata to retrieve. Either has the form 'metadata' or 'properties/{property}/metadata'. This name field is specified in the URL path and not URL parameters. Property is a numeric Google Analytics App + Web Property Id. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1alpha/Metadata`.

### Authorization Scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/analytics.readonly`
- `https://www.googleapis.com/auth/analytics`